      INTEGER*4 FUNCTION A4TOI4(CHRS)
      IMPLICIT INTEGER*4 (A-Z)
C
C Author       : Kevin B Black
C Date written : December 1987
C Abstract     :
C
C This subroutine is requirred for ADEVNTURE compiled with prospero
C FORTRAN-77 to translate a CHARACTER variable into an INTEGER*4
C variable as CHR and I*4 descriptors are not equivalent in the
C arguments passed to a subroutine, for example :
C
C Orginal :           CALL VOCAB('LOOK',1,LOOK) in MAIN has to be
C Replaced by :       CALL VOCAB(A4TOI4('LOOK'),1,LOOK)
C
      CHARACTER*(*) CHRS
C
      INTEGER*4 NI
      CHARACTER*4 NCHRS
      EQUIVALENCE (NI,NCHRS)
C
      NCHRS=CHRS
      A4TOI4=NI
      RETURN
      END
